Subject: Re: [EDUC] PDF et intégrité fichier
From: "d.michon" <[email-masked]>
To: Jean-Luc Poitoux <[email-masked]>, [email-masked]
Date: Sun, 09 Oct 2011 08:48:52 -0300
List-Id: <educ.april.org>

alors voilà voilà :
quelquelchos qui pourra nous éviter d'inventer le fil à couper la motte

http://en.wikipedia.org/wiki/List_of_PDF_software
Mais il y a des PDf cryptés :

J'ai eu hier soir une peur paniiiiique avec Clamtk et pas moins de 11 
messages de virus suspectés.
Mais alors ? tous en PDF ? Qui plus est, collectés sur des sites officiels ?

Le message  fait part d'un Heuristics.Encrypted.PDF

Des plaquettes de l'ONF (En amazonie  leur présence dans l'enseignement 
est proportionnelle à celle de notre forêt ..)
Effectivement des formulaires admninistratifs etc ...

Donc pour résumer la situation, si je peux absolument les lire et si je 
peux modifier "du contenu", à l'aide de méthodes exposées dans notre fil 
tout en tenant compte des restrictions abordées, cette modif "doit" 
avoir une incidence sur le mot de passe et la check-somme et permet au 
législateur de vérifier si c'est son fichier initial.

Je fais donc amende honorable d'avoir été si peu restrictif dans mes 
assertions et si peux prudent d'un "mais" possible.

Voir des liens suivant pour s'en rendre compte :
Du free sous windows

http://www.commentcamarche.net/download/telecharger-34062288-pdf-password-remover

http://freewares-tutos.blogspot.com/2009/01/free-pdf-to-word-converter-convertir.html

Des messages d'erreur qui peuvent bloquer le flux dans une appli comme 
Zimbra et donc les astuces de catalogage chez pour Koha si on suit cette 
méthode.
http://www.zimbrafr.org/forum/topic/4365-virus-heuristicsencryptedpdf/  
Cf le lien dans le fil

Des réglages pour les administrateurs pour by-passer le message dans 
l'outil Clamtk si on veut l'assimiler à un bug,
http://en.wikipedia.org/wiki/List_of_PDF_software
http://fr.wikipedia.org/wiki/Logiciel_antivirus
ceci ne reste pas sans risque en cas de suspicion sur l'origine du paquet.

http://www.virustotal.com/index.html

Attention, je ne parle pas de fichiers cryptés qui réclament un mot de 
passe pour pouvoir en connaître le contenu ...

Amicalement

Didier

Le 21/09/2011 15:55, Jean-Luc Poitoux a écrit :
> en effet,
> j'ai touché un point sensible, désolé
>
> merci pour tous ces détails :-)
>
> Benoît Sibaud a écrit :
>> Bonjour,
>>
>> On 2011, Jean-Luc Poitoux wrote:
>>> je retiens que les dernières versions de open/libre office peuvent 
>>> le faire
>>> mais je ne sais pas si c'est une bonne nouvelle pour l'intégrité des
>>> documents
>>
>> Apprendre/comprendre l'informatique ce n'est pas se mentir. Non une 
>> enveloppe
>> transparente n'empêche pas de voir le contenu ; non l'ordinateur ne 
>> m'en veut
>> pas personnellement ; non mon logiciel ne devine pas ce que je pense 
>> ; non ce
>> ne suffit pas qu'il y ait marqué « Document non modifiable », « Document
>> certifié par Machin », « Informations exactes et vues à la télé » ou 
>> autre pour
>> que cela soit vrai.
>>
>> La théorie : sauf informatique déloyale empêchant telle ou telle 
>> fonction
>> logicielle/matérielle, un document numérique peut toujours être 
>> modifié, ne
>> serait-ce qu'en remplaçant au hasard des 0 par des 1 et 
>> réciproquement. Ce qui
>> peut être numériquement lu peut être numériquement écrit (et écrit
>> différemment). Très souvent il est possible de modifier un document 
>> numérique «
>> intelligemment », si on utilise le bon logiciel (un éditeur de texte 
>> pour du
>> texte, un éditeur d'image pour une image, etc.). Et au mieux on peut 
>> juste
>> _détecter_ s'il a été modifié (grâce à une signature numérique, une 
>> somme de
>> contrôle obtenue de manière sûre, etc.).
>>
>> La pratique : la plupart des gens ne pourra modifier un type de 
>> document que si
>> un logiciel est connu pour savoir le faire. Ceci dit, ce n'est pas 
>> une raison
>> pour mentir aux gens et leur donner de fausses certitudes : ce n'est 
>> pas parce
>> que M. Michu ne sait pas éditer un PDF que le PDF n'est pas éditable. Ce
>> n'est pas parce que sa femme ne sait pas casser le chiffrement de 
>> base d'un
>> fichier XLS ou DOC que ce n'est pas possible. Cf un logiciel libre 
>> développé
>> en un rien de temps avec un ami sur http://github.com/nono/xor_me ). 
>> Ce n'est
>> pas parce que leur fils sait qu'un fax à une valeur juridique qu'il 
>> n'est pas
>> possible de modifier la feuille initiale avec du blanc correcteur ou
>> colle/ciseau, ou que l'imprimante multifonction qui fait fax et passe 
>> par le
>> PDF pour faire cela ne permet pas la même chose.
>>
>> Bref le PDF ne fait pas exception. Si rien n'est fait pour 
>> sérieusement empêcher
>> l'édition du PDF (c'est-à-dire sans activer les vraies signatures 
>> numériques
>> apparues avec PDF 1.5, les "sécurités" précédentes étant du vent), un 
>> PDF est
>> éditable « intelligemment ». Et même si les sécurités sont activées, 
>> encore
>> faut-il que le logiciel qui lit le PDF veuille bien les faire 
>> appliquer...
>>
>> La version courte : l'intégrité des documents PDF telle qu'évoquée 
>> précédemment
>> est un mythe.
>>
>> J'ajouterais que la situation évolue... Quand des nouveaux logiciels 
>> simplifient
>> les choses (comme en permettant explicitemment l'édition des PDF), 
>> quand des
>> failles protocolaires de sécurité sont découvertes (pour le wifi, le 
>> WEP a été
>> sûr un jour... maintenant il offre la protection d'une feuille de 
>> papier contre
>> la pluie ; les sommes de contrôle MD5 ont été sures un jour... 
>> maintenant elles
>> sont dépréciées). Pour faire une analogie foireuse, un jour on se 
>> croit hors de
>> portée d'un jet de pierre et on se prend une flèche, on se met hors 
>> de portée
>> d'une flèche et on se prend un carreau d'arbalète... balle de fusil...
>> obus... missile...
>>
>> La version courte : apprenons de vraies notions de sécurité aux gens 
>> (les
>> signatures numériques, leurs limites, etc.), pas juste « si vous ne 
>> savez pas
>> faire les autres non plus ».
>>
>> Librement,
>>
>

--
Pour gÃ©rer votre abonnement Ã  la liste educ et vos informations personnelles :
http://listes.april.org/wws/info/educ